#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-hamt
version:              1.2.0.11
visibility:           public
id:                   stm-hamt-1.2.0.11-FE60E7B3nF5B8CMWJwghag
key:                  stm-hamt-1.2.0.11-FE60E7B3nF5B8CMWJwghag
license:              MIT
copyright:            (c) 2016, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/stm-hamt
synopsis:             STM-specialised Hash Array Mapped Trie
description:
    A low-level data-structure,
    which can be used to implement higher-level interfaces like
    hash-map and hash-set.
    Such implementations are presented by
    <http://hackage.haskell.org/package/stm-containers the "stm-containers" library>.

category:             Data Structures, STM, Concurrency
abi:                  4e559802d44c9299d061a0c6a1c6ee9a
exposed:              True
exposed-modules:      StmHamt.Hamt StmHamt.SizedHamt
hidden-modules:
    StmHamt.Constructors.Branch StmHamt.Focuses StmHamt.IntOps
    StmHamt.ListT StmHamt.Prelude StmHamt.Types StmHamt.UnfoldlM

import-dirs:          /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.11
library-dirs:         /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-stm-hamt
hs-libraries:         HSstm-hamt-1.2.0.11-FE60E7B3nF5B8CMWJwghag
depends:
    base-4.15.1.0 deferred-folds-0.9.18.3-GJQTMVbCPksIZTykcuyjwR
    focus-1.0.3.1-9BbETKeosDQ2sZunTGiuuz
    hashable-1.4.2.0-FGfJ6SPjJOQC6UzILfUyUL
    list-t-1.0.5.4-Jr1Zvwexa7L8E6uEopvtVm
    primitive-0.7.4.0-JO2L1m8yKpKHqM3qF2iOEl
    primitive-extras-0.10.1.6-EQbZrQBRyIE7jUYmMCn5Xn
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-stm-hamt/html/stm-hamt.haddock
haddock-html:         /usr/share/doc/haskell-stm-hamt/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

